title = "Galerie"
url = "/galerie/:page?"
layout = "default"

[galleriesList]
galleryPage = "gallery"
galleriesPerPage = 6
pageNumber = "{{ :page }}"
noGalleriesMessage = "Galerie nenalezeny"
==

{% for gallery in galleries %}
    <div class="col-6 col-12-small">
        <section class="box">
           <a href="{{gallery.url}}" class="image featured"><img src="{{ gallery.featured_image.path }}" alt=""></a>
           <header>
              <h3>{{gallery.name}}</h3>
           </header>
           <p>{{ gallery.description }}</p>
           <p class="galleryList-cardInfos">
					{% if gallery.categories.count %}
					{% set categoryLinks = gallery.categories | map(c => "<a href=\"#{c.url}\">#{c.name}</a>") | join(', ') %}
					{{ 'hounddd.lightgallery::lang.common.infos_published' | trans({
						date: gallery.published_at | date('hounddd.lightgallery::lang.common.date_format' | trans),
						categories: categoryLinks
					}) }}
					{% else %}
					{{ 'hounddd.lightgallery::lang.common.infos_published_no_categories' | trans({
						date: gallery.published_at | date('hounddd.lightgallery::lang.common.date_format' | trans)
		            }) }}
					{% endif %}
				</p>
           <footer>
              <ul class="actions">
                 <li><a href="{{gallery.url}}" class="button icon solid fa-image">Prohlížet</a></li>
              </ul>
           </footer>
        </section>
    </div>
{% else %}
	{{ noGalleriesMessage }}
{% endfor %}



{% if galleries.links %}
    {{ galleries.links() | raw }}
{% endif %}
